--TEST--
Ensure protected static methods are not visible from sibling classes, even with common prototype.
--FILE--
<?php
// Class P declares some protected members.
class P {
  protected static function f() { echo 'P::f()'; }
}
 
// Class C1 re-declares the inherited protected members.
class C1 extends P {
  protected static function f() { echo 'C1::f()'; }
}
 
// Class C2 attempts to access protected members on its sibling C1.
class C2 extends P {
  public static function test() {
    C1::f();
  }
}
 
C2::test();
?>
--EXPECTF--
Fatal error: Call to protected method C1::f() from context 'C2' in %s on line 15